-- MySQL Script generated by MySQL Workbench
-- 06/14/15 19:43:46
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

-- -----------------------------------------------------
-- Schema datawarehouse
-- -----------------------------------------------------

-- -----------------------------------------------------
-- Schema datawarehouse
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS `datawarehouse` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci ;
-- -----------------------------------------------------
-- Schema intermedio
-- -----------------------------------------------------

-- -----------------------------------------------------
-- Schema intermedio
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS `intermedio` ;
USE `datawarehouse` ;

-- -----------------------------------------------------
-- Table `datawarehouse`.`d_delegacion`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `datawarehouse`.`d_delegacion` (
  `id_delegacion` INT NOT NULL,
  `desc_delegacion` VARCHAR(256) NOT NULL,
  PRIMARY KEY (`id_delegacion`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `datawarehouse`.`d_articulo`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `datawarehouse`.`d_articulo` (
  `id_articulo` INT NOT NULL,
  `desc_articulo` VARCHAR(256) NOT NULL,
  PRIMARY KEY (`id_articulo`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `datawarehouse`.`d_familia`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `datawarehouse`.`d_familia` (
  `id_familia` INT NOT NULL,
  `desc_familia` VARCHAR(256) NOT NULL,
  PRIMARY KEY (`id_familia`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `datawarehouse`.`d_comercial`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `datawarehouse`.`d_comercial` (
  `id_comercial` INT NOT NULL,
  `nombre_comercial` VARCHAR(256) NOT NULL,
  PRIMARY KEY (`id_comercial`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `datawarehouse`.`d_fecha`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `datawarehouse`.`d_fecha` (
  `id_fecha` INT NOT NULL,
  `dia_semana` INT NOT NULL,
  `desc_dia_semana` VARCHAR(20) NOT NULL,
  `semana_anyo` INT NOT NULL,
  `desc_semana_anyo` VARCHAR(20) NOT NULL,
  `mes` INT NOT NULL,
  `desc_mes` VARCHAR(20) NOT NULL,
  `trimestre` INT NOT NULL,
  `desc_trimestre` VARCHAR(20) NOT NULL,
  `anyo` INT NOT NULL,
  PRIMARY KEY (`id_fecha`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `datawarehouse`.`d_cliente`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `datawarehouse`.`d_cliente` (
  `id_cliente` INT NOT NULL,
  `nombre_cliente` VARCHAR(256) NOT NULL,
  PRIMARY KEY (`id_cliente`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `datawarehouse`.`d_cliente_ubicacion`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `datawarehouse`.`d_cliente_ubicacion` (
  `id_ubicacion` INT NOT NULL,
  `desc_pobl_cliente` VARCHAR(256) NOT NULL,
  `desc_prov_cliente` VARCHAR(100) NOT NULL,
  PRIMARY KEY (`id_ubicacion`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `datawarehouse`.`d_cliente_tipo`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `datawarehouse`.`d_cliente_tipo` (
  `id_tipo` INT NOT NULL,
  `desc_cliente_tipo` VARCHAR(256) NOT NULL,
  PRIMARY KEY (`id_tipo`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `datawarehouse`.`d_tipo_dato`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `datawarehouse`.`d_tipo_dato` (
  `id_tipo_dato` INT NOT NULL,
  `desc_tipo_dato` VARCHAR(256) NOT NULL,
  PRIMARY KEY (`id_tipo_dato`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `datawarehouse`.`d_concepto`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `datawarehouse`.`d_concepto` (
  `id_concepto` INT NOT NULL,
  `desc_concepto` VARCHAR(256) NOT NULL,
  PRIMARY KEY (`id_concepto`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `datawarehouse`.`d_forma_pago`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `datawarehouse`.`d_forma_pago` (
  `id_pago` INT NOT NULL,
  `desc_forma_pago` VARCHAR(256) NOT NULL,
  PRIMARY KEY (`id_pago`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `datawarehouse`.`d_almacen`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `datawarehouse`.`d_almacen` (
  `id_almacen` INT NOT NULL,
  `desc_almacen` VARCHAR(256) NOT NULL,
  PRIMARY KEY (`id_almacen`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `datawarehouse`.`h_ventas`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `datawarehouse`.`h_ventas` (
  `id_ventas` INT NOT NULL AUTO_INCREMENT,
  `id_delegacion` INT NULL,
  `id_articulo` INT NULL,
  `id_familia` INT NULL,
  `id_comercial` INT NULL,
  `id_fecha` INT NULL,
  `id_cliente` INT NULL,
  `id_ubicacion` INT NULL,
  `id_tipo` INT NULL,
  `id_tipo_dato` INT NULL,
  `id_concepto` INT NULL,
  `id_pago` INT NULL,
  `id_almacen` INT NULL,
  `descuento` FLOAT NULL,
  `importe` FLOAT NULL,
  `comision` FLOAT NULL,
  `coste` FLOAT NULL,
  PRIMARY KEY (`id_ventas`),
  INDEX `id_delegacion_idx` (`id_delegacion` ASC),
  INDEX `id_articulo_idx` (`id_articulo` ASC),
  INDEX `fk_ventas_familia_idx` (`id_familia` ASC),
  INDEX `fk_ventas_comercial_idx` (`id_comercial` ASC),
  INDEX `fk_ventas_fecha_idx` (`id_fecha` ASC),
  INDEX `fk_ventas_cliente_idx` (`id_cliente` ASC),
  INDEX `fk_ventas_ubicacion_idx` (`id_ubicacion` ASC),
  INDEX `fk_ventas_tipo_idx` (`id_tipo` ASC),
  INDEX `fk_ventas_tipo_dato_idx` (`id_tipo_dato` ASC),
  INDEX `fk_ventas_concepto_idx` (`id_concepto` ASC),
  INDEX `fk_ventas_pago_idx` (`id_pago` ASC),
  INDEX `fk_ventas_almacen_idx` (`id_almacen` ASC),
  CONSTRAINT `fk_ventas_delegacion`
    FOREIGN KEY (`id_delegacion`)
    REFERENCES `datawarehouse`.`d_delegacion` (`id_delegacion`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_ventas_articulo`
    FOREIGN KEY (`id_articulo`)
    REFERENCES `datawarehouse`.`d_articulo` (`id_articulo`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_ventas_familia`
    FOREIGN KEY (`id_familia`)
    REFERENCES `datawarehouse`.`d_familia` (`id_familia`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_ventas_comercial`
    FOREIGN KEY (`id_comercial`)
    REFERENCES `datawarehouse`.`d_comercial` (`id_comercial`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_ventas_fecha`
    FOREIGN KEY (`id_fecha`)
    REFERENCES `datawarehouse`.`d_fecha` (`id_fecha`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_ventas_cliente`
    FOREIGN KEY (`id_cliente`)
    REFERENCES `datawarehouse`.`d_cliente` (`id_cliente`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_ventas_ubicacion`
    FOREIGN KEY (`id_ubicacion`)
    REFERENCES `datawarehouse`.`d_cliente_ubicacion` (`id_ubicacion`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_ventas_tipo`
    FOREIGN KEY (`id_tipo`)
    REFERENCES `datawarehouse`.`d_cliente_tipo` (`id_tipo`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_ventas_tipo_dato`
    FOREIGN KEY (`id_tipo_dato`)
    REFERENCES `datawarehouse`.`d_tipo_dato` (`id_tipo_dato`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_ventas_concepto`
    FOREIGN KEY (`id_concepto`)
    REFERENCES `datawarehouse`.`d_concepto` (`id_concepto`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_ventas_pago`
    FOREIGN KEY (`id_pago`)
    REFERENCES `datawarehouse`.`d_forma_pago` (`id_pago`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_ventas_almacen`
    FOREIGN KEY (`id_almacen`)
    REFERENCES `datawarehouse`.`d_almacen` (`id_almacen`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;

USE `intermedio` ;

-- -----------------------------------------------------
-- Table `intermedio`.`almacenes`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `intermedio`.`almacenes` (
  `idnuevo` INT NOT NULL AUTO_INCREMENT,
  `codigo` VARCHAR(50) NULL,
  `nombre` VARCHAR(250) NULL,
  PRIMARY KEY (`idnuevo`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `intermedio`.`articulos`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `intermedio`.`articulos` (
  `idNuevo` INT NOT NULL AUTO_INCREMENT,
  `codigo` VARCHAR(50) NULL,
  `nombre` VARCHAR(250) NULL,
  PRIMARY KEY (`idNuevo`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `intermedio`.`clientes_zona_poblacion`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `intermedio`.`clientes_zona_poblacion` (
  `idNuevo` INT NOT NULL AUTO_INCREMENT,
  `nif` VARCHAR(50) NULL,
  `poblacion` VARCHAR(250) NULL,
  PRIMARY KEY (`idNuevo`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `intermedio`.`clientes`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `intermedio`.`clientes` (
  `idNuevo` INT NOT NULL AUTO_INCREMENT,
  `nif` VARCHAR(50) NULL,
  `nombre` VARCHAR(250) NULL,
  `tipo` VARCHAR(250) NULL,
  PRIMARY KEY (`idNuevo`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `intermedio`.`comerciales`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `intermedio`.`comerciales` (
  `idNuevo` INT NOT NULL AUTO_INCREMENT,
  `nif` VARCHAR(50) NULL,
  `nombre` VARCHAR(250) NULL,
  PRIMARY KEY (`idNuevo`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `intermedio`.`conceptos`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `intermedio`.`conceptos` (
  `idNuevo` INT NOT NULL AUTO_INCREMENT,
  `codigo` VARCHAR(50) NULL,
  `nombre` VARCHAR(250) NULL,
  PRIMARY KEY (`idNuevo`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `intermedio`.`empresas`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `intermedio`.`empresas` (
  `idNuevo` INT NOT NULL AUTO_INCREMENT,
  `nif` VARCHAR(50) NULL,
  `nombre` VARCHAR(250) NULL,
  PRIMARY KEY (`idNuevo`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `intermedio`.`familia`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `intermedio`.`familia` (
  `idNuevo` INT NOT NULL AUTO_INCREMENT,
  `codigo` VARCHAR(250) NULL,
  `descripcion` VARCHAR(250) NULL,
  PRIMARY KEY (`idNuevo`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `intermedio`.`formaspago`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `intermedio`.`formaspago` (
  `idNuevo` INT NOT NULL AUTO_INCREMENT,
  `codigo` VARCHAR(50) NULL,
  `nombre` VARCHAR(250) NULL,
  PRIMARY KEY (`idNuevo`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `intermedio`.`tipo_dato`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `intermedio`.`tipo_dato` (
  `idNuevo` INT NOT NULL AUTO_INCREMENT,
  `codigo` VARCHAR(50) NULL,
  `nombre` VARCHAR(250) NULL,
  PRIMARY KEY (`idNuevo`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `intermedio`.`ventas`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `intermedio`.`ventas` (
  `idNuevo` INT NOT NULL AUTO_INCREMENT,
  `empresa` VARCHAR(125) NULL,
  `ano` VARCHAR(125) NULL,
  `factura` VARCHAR(125) NULL,
  `numlinea` VARCHAR(125) NULL,
  `time` VARCHAR(125) NULL,
  `cliente` VARCHAR(125) NULL,
  `clientezona` VARCHAR(125) NULL,
  `comercial` VARCHAR(125) NULL,
  `almacen` VARCHAR(125) NULL,
  `articulo` VARCHAR(125) NULL,
  `concepto` VARCHAR(125) NULL,
  `formapago` VARCHAR(125) NULL,
  `familia` VARCHAR(125) NULL,
  `tipodato` VARCHAR(125) NULL,
  `tipolinea` VARCHAR(125) CHARACTER SET 'big5' NULL,
  `cantidad` INT NULL,
  `descuento` INT NULL,
  `importe` INT NULL,
  `comision` INT NULL,
  `coste` INT NULL,
  PRIMARY KEY (`idNuevo`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `intermedio`.`familia_producto`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `intermedio`.`familia_producto` (
  `idNuevo` INT NOT NULL AUTO_INCREMENT,
  `codigo` VARCHAR(250) NULL,
  `articulo` VARCHAR(250) NULL,
  `familia` VARCHAR(250) NULL,
  `idFamilia` INT NULL,
  PRIMARY KEY (`idNuevo`))
ENGINE = InnoDB;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
